summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Igor Alexandrov2020-04-24 02:44:46 +0200
committer Willy Sudiarto Raharjo2020-04-24 02:44:46 +0200
commit5e7f8fe9547a7c5a60877c84cad848b70eb51e26 (patch)
treea15e6267d492bdf6b5befbcddedd37a33235e362 /development
parent17b3f172e5213a7c2f21521381511d3d60c3d8cb (diff)
downloadslackbuilds-5e7f8fe9547a7c5a60877c84cad848b70eb51e26.tar.gz
development/jdk12: Update script.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/jdk12/README6
-rw-r--r--development/jdk12/jdk12.SlackBuild9
-rw-r--r--development/jdk12/jdk12.info4
3 files changed, 10 insertions, 9 deletions
diff --git a/development/jdk12/README b/development/jdk12/README
index bdb78d50f5..c189deb2ed 100644
--- a/development/jdk12/README
+++ b/development/jdk12/README
@@ -11,11 +11,15 @@ Java Platform Standard Edition Runtime Environment.
More details:
https://developer.oracle.com/java/
+WARNING: These older versions of the JRE and JDK are provided to help
+developers debug issues in older systems. They are not updated with the latest
+security patches and are not recommended for use in production.
+
This SlackBuild will repackage official Oracle JDK archive.
You must accept the Oracle Technology Network License Agreement
for Oracle Java SE to download this software
-https://www.oracle.com/technetwork/java/javase/downloads/jdk12-downloads-5295953.html
+https://www.oracle.com/java/technologies/javase/jdk12-archive-downloads.html
After installation you will need to log out from the system and log in back
for environment variables get updated.
diff --git a/development/jdk12/jdk12.SlackBuild b/development/jdk12/jdk12.SlackBuild
index e63ce2d459..3e40a06c55 100644
--- a/development/jdk12/jdk12.SlackBuild
+++ b/development/jdk12/jdk12.SlackBuild
@@ -1,8 +1,8 @@
-#!/bin/sh
+#!/bin/sh -eu
# Slackware build script for jdk12
-# Copyright 2019 Igor Alexandrov <igor.s.alexandrov@gmail.com>
+# Copyright 2019, 2020 Igor Alexandrov <igor.alexandrov@outlook.com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -44,11 +44,9 @@ if [ "$ARCH" = "x86_64" ]; then
LIBDIRSUFFIX="64"
else
echo "$ARCH port is not supported"
- exit -1
+ exit 1
fi
-set -e
-
rm -rf $PKG
mkdir -p $TMP $OUTPUT \
$PKG/{install,etc/profile.d,usr/{lib${LIBDIRSUFFIX},doc/$PRGNAM-$VERSION}}
@@ -102,4 +100,3 @@ chmod 755 etc/profile.d/*
cat $CWD/slack-desc > install/slack-desc
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
-
diff --git a/development/jdk12/jdk12.info b/development/jdk12/jdk12.info
index 6ca6c35f29..0da1dd603e 100644
--- a/development/jdk12/jdk12.info
+++ b/development/jdk12/jdk12.info
@@ -3,8 +3,8 @@ VERSION="12.0.2"
HOMEPAGE="https://www.oracle.com/technetwork/java/javase/downloads/index.html"
DOWNLOAD="UNSUPPORTED"
MD5SUM=""
-DOWNLOAD_x86_64="https://download.oracle.com/otn-pub/java/jdk/12.0.2+10/e482c34c86bd4bf8b56c0b35558996b9/jdk-12.0.2_linux-x64_bin.tar.gz"
+DOWNLOAD_x86_64="https://download.oracle.com/otn/java/jdk/12.0.2+10/e482c34c86bd4bf8b56c0b35558996b9/jdk-12.0.2_linux-x64_bin.tar.gz"
MD5SUM_x86_64="d1527af940a4d73050ff1d5c7942782d"
REQUIRES="%README%"
MAINTAINER="Igor Alexandrov"
-EMAIL="igor.s.alexandrov@gmail.com"
+EMAIL="igor.alexandrov@outlook.com"